%define name tabu-audio-player
%define version 2.1
%define release %mkrel 1

Summary:        Simple gstreamer audio player
Summary(de):	Einfacher gstreamer Audio Player
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Sound
License:        GPLv3
URL:            http://www.kalmbach.com.ar/
Source0:        http://www.kalmbach.com.ar/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  taglib-devel 
BuildRequires:  cairo-devel
BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
Requires: gstreamer0.10-plugins-base
Requires: taglib 
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version



%description
Tabu Audio Player is a simple gstreamer audio player with client-side decorations
and playback controls drawn with cairo.
 
%description -l de
Tabu Audio Player ist ein einfacher Audio Abspieler mit Seiten Client Dekoration
und Playback Kontrolle durch Cairo ermöglicht.

%prep
%setup -q 

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std 



# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/tabu.desktop << EOF
[Desktop Entry]
Name=Tabu
Encoding=UTF-8
Comment=Tabu is a basic GTK+ audio player
Exec=tabu
Terminal=false
Type=Application
StartupNotify=true
Icon=tabu
Categories=GTK;AudioVideo;X-MandrivaLinux-Multimedia-Sound;
EOF


# icons
mkdir -p %buildroot{%_iconsdir,%_miconsdir}
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 images/tabu.png %{buildroot}%_iconsdir/tabu.png
install -m 644 images/tabu.png %{buildroot}%_miconsdir/tabu.png
convert %{buildroot}%_miconsdir/tabu.png -resize 16 %{buildroot}%_miconsdir/tabu.png 
install -m 644 images/tabu.png %buildroot%_datadir/pixmaps
convert %buildroot%_datadir/pixmaps/tabu.png -resize 48 %buildroot%_datadir/pixmaps/tabu.png


%find_lang tabu



%clean
rm -rf %{buildroot}

%post
%update_menus


%postun
%clean_menus

%files -f tabu.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/tabu
%{_datadir}/pixmaps/tabu.png
%{_datadir}/tabu
%{_datadir}/applications/tabu.desktop
%_miconsdir/tabu.png
%_iconsdir/tabu.png


%changelog
* Wed Nov 11 2009 slick50 <lxgator@gmail.com> 2.1-1pclos2010
- 2.1

* Sun Nov 01 2009 slick50 <lxgator@gmail.com> 2.0-1pclos2010
- 2.0

* Sun Jun 28 2009 slick50 <lxgator@gmail.com> 1.4.1-1pclos2009
- 1.4.1

* Fri Jun 26 2009 slick50 <lxgator@gmail.com> 1.4-1pclos2009
- 1.4

* Wed Jun 24 2009 slick50 <lxgator@gmail.com> 1.3-1pclos2009
- 1.3

* Mon Jun 22 2009 slick50 <lxgator@gmail.com> 1.2beta-1pclos2009
- 1.2beta

* Wed Jun 17 2009 slick50 <lxgator@gmail.com> 1.1beta-1pclos2009
- initial build
